import 'package:tetrisdual/config/default_game_settings.dart';
import 'package:tetrisdual/utils/tools.dart';

class GameSettings {
  final String gameType;

  GameSettings({
    required this.gameType,
  });

  static String getGameTypeValueFromUnsafe(String gameType) {
    if (DefaultGameSettings.allowedGameTypeValues.contains(gameType)) {
      return gameType;
    }

    return DefaultGameSettings.defaultGameTypeValue;
  }

  factory GameSettings.createDefault() {
    return GameSettings(
      gameType: DefaultGameSettings.defaultGameTypeValue,
    );
  }

  void dump() {
    printlog('$GameSettings:');
    printlog('  ${DefaultGameSettings.parameterCodeGameType}: $gameType');
    printlog('');
  }

  @override
  String toString() {
    return '$GameSettings(${toJson()})';
  }

  Map<String, dynamic>? toJson() {
    return <String, dynamic>{
      DefaultGameSettings.parameterCodeGameType: gameType,
    };
  }
}
