import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'package:tetrisdual/cubit/game_cubit.dart';
import 'package:tetrisdual/ui/helpers/styled_button.dart';

class DeleteSavedGameButton extends StatelessWidget {
  const DeleteSavedGameButton({super.key});

  @override
  Widget build(BuildContext context) {
    return StyledButton(
      color: Colors.grey,
      onPressed: () {
        BlocProvider.of<GameCubit>(context).deleteSavedGame();
      },
      child: const Image(
        image: AssetImage('assets/ui/button_delete_saved_game.png'),
        fit: BoxFit.fill,
      ),
    );
  }
}
