import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'package:tetrisdual/cubit/game_cubit.dart';
import 'package:tetrisdual/ui/widgets/game/player.dart';
import 'package:tetrisdual/ui/widgets/game/toggle_player.dart';

class GameBoardWidget extends StatelessWidget {
  const GameBoardWidget({super.key});

  @override
  Widget build(BuildContext context) {
    final GameCubit gameCubit = BlocProvider.of<GameCubit>(context);

    return Center(
      child: Column(
        mainAxisAlignment: MainAxisAlignment.spaceBetween,
        crossAxisAlignment: CrossAxisAlignment.center,
        children: [
          RotatedBox(
            quarterTurns: 2,
            child: PlayerWidget(
              player: gameCubit.getPlayer(1),
            ),
          ),
          const TogglePlayerWidget(),
          PlayerWidget(
            player: gameCubit.getPlayer(2),
          ),
        ],
      ),
    );
  }
}
